package com.ruoyi.web.modules.stock.service;

import java.util.List;
import com.ruoyi.web.modules.stock.domain.BizStockLog;
import com.ruoyi.web.modules.stock.dto.StockLogQuery;
import com.ruoyi.web.modules.stock.vo.StockLogListRowVO;

/**
 * 库存流水服务
 */
public interface IStockLogService
{
    void insertLog(BizStockLog log);

    List<StockLogListRowVO> selectList(Long shopId, StockLogQuery query);

    List<StockLogListRowVO> selectByGoodsId(Long shopId, Long goodsId);
}
